function getCsrfToken() {
  let csrfToken = null;
  const csrfMetaTag = document.querySelector("meta[name='csrf_token']");
  if (csrfMetaTag) {
    csrfToken = csrfMetaTag.getAttribute("content");
  }

  return csrfToken;
}

function setupCsrfProtection(csrfToken) {
  // autoupdate hidden inputs with csrf value
  document.querySelectorAll("input[data-csrf]").forEach(function (el) {
    el.value = csrfToken;
  });

  document.querySelectorAll("form[data-csrf]").forEach(function (el) {
    // <input type="hidden" name="csrf" value="{{ csrf_token() }}" />
    const csrfInput = document.createElement("input");
    csrfInput.type = "hidden";
    csrfInput.name = "_csrf_token";
    csrfInput.value = csrfToken;

    el.prepend(csrfInput);
  });
}

document.addEventListener("DOMContentLoaded", function () {
  const csrfToken = getCsrfToken();
  if (csrfToken) {
    setupCsrfProtection(csrfToken);
  }

  const tooltipTriggerList = document.querySelectorAll(
    '[data-bs-toggle="tooltip"]',
  );
  const tooltipList = [...tooltipTriggerList].forEach((tooltipTriggerEl) => {
    if (tooltipTriggerEl) {
      new bootstrap.Tooltip(tooltipTriggerEl);
    }
  });
});
