import { createTestDomainAudit, updateTestDomainAudit, getRecentDomainChanges } from '../src/queries.js';

async function testDomainChanges() {
  try {
    // Create initial domain audit at 45%
    console.log('Creating test domain...');
    await createTestDomainAudit('test.example.com', 45);
    
    // Wait for a moment
    await new Promise(resolve => setTimeout(resolve, 1000));
    
    // Update to cross 51% threshold
    console.log('Updating to 55%...');
    await updateTestDomainAudit('test.example.com', 55);
    
    await new Promise(resolve => setTimeout(resolve, 1000));
    
    // Update to cross 66% threshold
    console.log('Updating to 70%...');
    await updateTestDomainAudit('test.example.com', 70);
    
    await new Promise(resolve => setTimeout(resolve, 1000));
    
    // Update to cross 80% threshold
    console.log('Updating to 85%...');
    await updateTestDomainAudit('test.example.com', 85);
    
    // Check the changes
    console.log('\nRecent changes:');
    const changes = await getRecentDomainChanges(10);
    console.log(JSON.stringify(changes, null, 2));
    
  } catch (error) {
    console.error('Test failed:', error);
  } finally {
    process.exit(0);
  }
}

testDomainChanges(); 