import express from "express";
import * as SessionsController from "../controllers/SessionsController.js";
import { OAUTH_CALLBACK_PATH } from "../api.js";

export const sessionsRouter = express.Router();

sessionsRouter.get("/", (req, res, next) => {
  if (
    // @ts-ignore
    req.session.account_id !== undefined &&
    // @ts-ignore
    req.session.server_id !== undefined
  ) {
    return next();
  } else {
    return res.redirect("/login");
  }
});

sessionsRouter.get("/login", SessionsController.login);
sessionsRouter.post("/logout", SessionsController.logout);
sessionsRouter.post("/oauth/start", SessionsController.start);
sessionsRouter.get(OAUTH_CALLBACK_PATH, SessionsController.callback);
